Index: /branches/HTM-6.2-dev0/source/Lib/TLibEncoder/TEncSampleAdaptiveOffset.cpp
===================================================================
--- /branches/HTM-6.2-dev0/source/Lib/TLibEncoder/TEncSampleAdaptiveOffset.cpp	(revision 426)
+++ /branches/HTM-6.2-dev0/source/Lib/TLibEncoder/TEncSampleAdaptiveOffset.cpp	(revision 427)
@@ -931,15 +989,7 @@
       posOffset = (yPos* stride) + xPos;
 
-#if HHI_INTERVIEW_SKIP
-      if( !m_pcPic->getCU(iAddr)->getRenderable(0 ))
-      {
       calcSaoStatsBlock(pPicRec+ posOffset, pPicOrg+ posOffset, stride, ppStats, ppCount,width, height, pbBorderAvail);
-      }
-#else
-      calcSaoStatsBlock(pPicRec+ posOffset, pPicOrg+ posOffset, stride, ppStats, ppCount,width, height, pbBorderAvail);
-#endif
-    }
-  }
-
+    }
+  }
 }
 
